Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

info: enable PEP 517 fallback builds by default #2810

Merged
merged 1 commit into from Aug 27, 2020

Conversation

abn
Copy link
Member

@abn abn commented Aug 14, 2020

This change ensures that PEP 517 fallback builds are enabled by default
for when metadata inspection and setup.{py,cfg} parsing fails. This is
required in order to ensure that package requirements are correctly
identified for packages beyond first level dependencies.

Resolves: #2807
Resolves: #2850

@abn abn added the kind/bug Something isn't working as expected label Aug 14, 2020
@abn abn requested a review from a team Aug 14, 2020
This change ensures that PEP 517 fallback builds are enabled by default
for when metadata inspection and setup.{py,cfg} parsing fails. This is
required in order to ensure that package requirements are correctly
identified for packages beyond first level dependencies.

Resolves: python-poetry#2807
Copy link
Member

@finswimmer finswimmer left a comment

LGTM 👍

Because this changes default behavior I let it to @sdispater to merge.

@finswimmer finswimmer requested a review from sdispater Aug 19, 2020
@finswimmer finswimmer mentioned this pull request Aug 24, 2020
3 tasks
@abn
Copy link
Member Author

abn commented Aug 27, 2020

Merging this for now. We can revert it later if this causes issues.

@abn abn merged commit 1c8abd4 into python-poetry:master Aug 27, 2020
@abn abn added this to the 1.1 milestone Aug 27, 2020
@sdispater sdispater mentioned this pull request Sep 18, 2020
@abn abn deleted the issues/2807 branch Oct 6, 2020
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
kind/bug Something isn't working as expected
Projects
None yet
Development

Successfully merging this pull request may close these issues.

Poetry 1.1.0b2 PackageInfoError Poetry cannot resolve dependency from Qiskit Aer 0.6.0
2 participants